> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Breakdown

> Get the breakdown of a portfolio.



## OpenAPI

````yaml GET  /api/v3/brokerage/portfolios/{portfolio_uuid}
openapi: 3.0.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - apiKeyAuth: []
paths:
  /api/v3/brokerage/portfolios/{portfolio_uuid}:
    get:
      tags:
        - Portfolios
      summary: Get Portfolio Breakdown
      description: Get the breakdown of a portfolio.
      operationId: RetailBrokerageApi_GetPortfolioBreakdown
      parameters:
        - name: portfolio_uuid
          description: The portfolio UUID.
          in: path
          required: true
          schema:
            type: string
        - name: currency
          description: The currency symbol (e.g. USD).
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetPortfolioBreakdownResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetPortfolioBreakdownResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
components:
  schemas:
    coinbase.public_api.authed.retail_brokerage_api.GetPortfolioBreakdownResponse:
      type: object
      properties:
        breakdown:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.PortfolioBreakdown
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
    coinbase.portfolio_service.PortfolioBreakdown:
      type: object
      properties:
        portfolio:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Portfolio'
        portfolio_balances:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.PortfolioBalances
        spot_positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.portfolio_service.PortfolioPosition'
        perp_positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.portfolio_service.PerpPosition'
        futures_positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.portfolio_service.FuturesPosition'
        prediction_markets_positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.portfolio_service.Position'
        equity_positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.portfolio_service.EquityPosition'
      description: >-
        PortfolioBreakdown is a breakdown of a portfolio, all balances, and all
        positions within the portfolio.
    google.protobuf.Any:
      type: object
      properties:
        type_url:
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
        value:
          type: string
          format: byte
          description: >-
            Must be a valid serialized protocol buffer of the above specified
            type.
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    coinbase.portfolio_service.Portfolio:
      type: object
      properties:
        name:
          type: string
        uuid:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.PortfolioType'
        deleted:
          type: boolean
      description: Portfolio is the identifying information for a portfolio.
    coinbase.portfolio_service.PortfolioBalances:
      type: object
      properties:
        total_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        total_futures_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        total_cash_equivalent_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        total_crypto_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        futures_unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        perp_unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        total_equities_balance:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
      description: PortfolioBalances is a summary of all balances within a given portfolio.
    coinbase.portfolio_service.PortfolioPosition:
      type: object
      properties:
        asset:
          type: string
        account_uuid:
          type: string
        total_balance_fiat:
          type: number
          format: float
        total_balance_crypto:
          type: number
          format: float
        available_to_trade_fiat:
          type: number
          format: float
        allocation:
          type: number
          format: float
        cost_basis:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        asset_img_url:
          type: string
        is_cash:
          type: boolean
        average_entry_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        asset_uuid:
          type: string
        available_to_trade_crypto:
          type: number
          format: float
        unrealized_pnl:
          type: number
          format: float
        available_to_transfer_fiat:
          type: number
          format: float
        available_to_transfer_crypto:
          type: number
          format: float
        asset_color:
          type: string
        account_type:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.AccountType'
        funding_pnl:
          type: number
          format: float
        available_to_send_fiat:
          type: number
          format: float
        available_to_send_crypto:
          type: number
          format: float
      description: PortfolioPosition represents a spot position for a user in a portfolio.
    coinbase.portfolio_service.PerpPosition:
      type: object
      properties:
        product_id:
          type: string
        product_uuid:
          type: string
        symbol:
          type: string
        asset_image_url:
          type: string
        vwap:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        position_side:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.FuturesPositionSide
        net_size:
          type: string
        buy_order_size:
          type: string
        sell_order_size:
          type: string
        im_contribution:
          type: string
        unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        mark_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        liquidation_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        leverage:
          type: string
        im_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        mm_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        position_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.BalancePair'
        margin_type:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.PortfolioMarginType
        liquidation_buffer:
          type: string
        liquidation_percentage:
          type: string
        asset_color:
          type: string
      description: PerpPosition defines a perpetuals position.
    coinbase.portfolio_service.FuturesPosition:
      type: object
      properties:
        product_id:
          type: string
        contract_size:
          type: string
        side:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.FuturesPositionSide
        amount:
          type: string
        avg_entry_price:
          type: string
        current_price:
          type: string
        unrealized_pnl:
          type: string
        expiry:
          type: string
          format: RFC3339 Timestamp
        underlying_asset:
          type: string
        asset_img_url:
          type: string
        product_name:
          type: string
        venue:
          type: string
        notional_value:
          type: string
        asset_color:
          type: string
        last_traded_at:
          type: string
          format: RFC3339 Timestamp
        roll_date:
          type: string
          format: RFC3339 Timestamp
        price_increment:
          type: string
        price_precision:
          type: integer
          format: int32
      title: FuturesPosition represents a futures position
    coinbase.portfolio_service.Position:
      type: object
      properties:
        product_type:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.ProductType'
        cbrn:
          type: string
        prediction_markets:
          title: add more position metadata here as needed
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.PredictionMarketPositionMetadata
      title: Position represents a unified position across different product types
    coinbase.portfolio_service.EquityPosition:
      type: object
      properties:
        cbrn:
          type: string
        account_uuid:
          type: string
        total_balance_fiat:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        total_balance_equity:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        available_to_trade_equity:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        available_to_trade_fiat:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        account_type:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.AccountType'
        allocation:
          type: number
          format: float
        cost_basis:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        average_entry_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
      description: EquityPosition represents an equity position for a user in a portfolio.
    coinbase.portfolio_service.PortfolioType:
      type: string
      enum:
        - UNDEFINED
        - DEFAULT
        - CONSUMER
        - INTX
      default: UNDEFINED
      description: PortfolioType defines the type of Portfolio.
    coinbase.portfolio_service.Amount:
      type: object
      properties:
        value:
          type: string
          description: The amount of specified currency.
        currency:
          type: string
          description: The currency symbol (e.g. USD).
      description: Represents a monetary amount.
    coinbase.portfolio_service.AccountType:
      type: string
      enum:
        - ACCOUNT_TYPE_UNKNOWN_UNSPECIFIED
        - ACCOUNT_TYPE_WALLET
        - ACCOUNT_TYPE_FIAT
        - ACCOUNT_TYPE_VAULT
        - ACCOUNT_TYPE_COLLATERAL
        - ACCOUNT_TYPE_DEFI_YIELD
        - ACCOUNT_TYPE_LOAN_MANAGEMENT
        - ACCOUNT_TYPE_MULTISIG
        - ACCOUNT_TYPE_MULTISIG_VAULT
        - ACCOUNT_TYPE_DERIVATIVES_TRANSFER
        - ACCOUNT_TYPE_DERIVATIVES_EQUITY
        - ACCOUNT_TYPE_STAKED_FUNDS
        - ACCOUNT_TYPE_PERP_FUTURES
        - ACCOUNT_TYPE_PERP_FUTURES_ISOLATED
        - ACCOUNT_TYPE_LENT_FUNDS
        - ACCOUNT_TYPE_PERP_FUTURES_COLLATERAL
        - ACCOUNT_TYPE_DERIVATIVES_CASH
        - ACCOUNT_TYPE_CLAWBACK_DEBT
        - ACCOUNT_TYPE_SUSPENSE_GEOFENCE
        - ACCOUNT_TYPE_RETAIL_DEFI_LEND
        - ACCOUNT_TYPE_DEFI_BORROW_COLLATERAL
        - ACCOUNT_TYPE_FIAT_SAVINGS
        - ACCOUNT_TYPE_RAISE_INVESTMENTS
        - ACCOUNT_TYPE_CCM_EQUITY
        - ACCOUNT_TYPE_PREDICTION_MARKETS_TRANSFER
        - ACCOUNT_TYPE_PREDICTION_MARKETS_EQUITY
        - ACCOUNT_TYPE_PREDICTION_MARKETS_CFM
        - ACCOUNT_TYPE_CREDIT_CARD_COLLATERAL
      default: ACCOUNT_TYPE_UNKNOWN_UNSPECIFIED
      description: AccountType defines the type of account that is supported.
    coinbase.portfolio_service.BalancePair:
      type: object
      properties:
        userNativeCurrency:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        rawCurrency:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
      description: >-
        Balance pair represents balances in both native and raw underlying
        currency.
    coinbase.portfolio_service.FuturesPositionSide:
      type: string
      enum:
        - FUTURES_POSITION_SIDE_UNSPECIFIED
        - FUTURES_POSITION_SIDE_LONG
        - FUTURES_POSITION_SIDE_SHORT
      default: FUTURES_POSITION_SIDE_UNSPECIFIED
      description: FuturesPosition defines the side of the position.
    coinbase.portfolio_service.PortfolioMarginType:
      type: string
      enum:
        - MARGIN_TYPE_UNSPECIFIED
        - MARGIN_TYPE_CROSS
        - MARGIN_TYPE_ISOLATED
      default: MARGIN_TYPE_UNSPECIFIED
      description: PortfolioMarginType defines the type of margin type.
    coinbase.portfolio_service.ProductType:
      type: string
      enum:
        - PRODUCT_TYPE_UNSPECIFIED
        - PRODUCT_TYPE_ALL
        - PRODUCT_TYPE_SPOT
        - PRODUCT_TYPE_FCM_FUTURES
        - PRODUCT_TYPE_PERP_FUTURES
        - PRODUCT_TYPE_INTX_SPOT
        - PRODUCT_TYPE_DEX
        - PRODUCT_TYPE_EQUITY
        - PRODUCT_TYPE_PREDICTION_MARKETS
        - PRODUCT_TYPE_COMPOSITE_CRYPTO
      default: PRODUCT_TYPE_UNSPECIFIED
      description: ProductType defines the type of product.
    coinbase.portfolio_service.PredictionMarketPositionMetadata:
      type: object
      properties:
        side:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.portfolio_service.PredictionMarketsPositionSide
        last_traded_at:
          type: string
          format: RFC3339 Timestamp
        average_entry_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        current_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        notional_value:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        cost_basis:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.Amount'
        contracts_owned:
          type: string
        quote_cbrn:
          type: string
      description: PredictionMarketPosition represents a Prediction Markets position.
    coinbase.portfolio_service.PredictionMarketsPositionSide:
      type: string
      enum:
        - PREDICTION_MARKETS_POSITION_SIDE_UNSPECIFIED
        - PREDICTION_MARKETS_POSITION_SIDE_LONG
        - PREDICTION_MARKETS_POSITION_SIDE_SHORT
      default: PREDICTION_MARKETS_POSITION_SIDE_UNSPECIFIED
      description: PredictionMarketPositionSide defines the side of the position.
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A JWT signed using your CDP API Key Secret, encoded in base64. Refer to
        the [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our Coinbase App Authentication docs for information on how
        to generate your Bearer Token.

````